package com.zcloud.service.api;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2023/07/28 15:50
 */
public interface PreventionApiService {

    /**风险管控统计数据
     * @param pd
     * @throws Exception
     */
    public PageData getDiagnosis(PageData pd)throws Exception;

    /**企业所有清单
     * @param pd
     * @throws Exception
     */
    public List<PageData> listAllListsForDiagnosis(PageData pd)throws Exception;

    /**企业时间段内清单
     * @param pd
     * @throws Exception
     */
    public List<PageData> listDaterangeListmanager(PageData pd)throws Exception;

    /**企业隐患数据
     * @param pd
     * @throws Exception
     */
    public List<PageData> listHiddenForDiagnosis(PageData pd)throws Exception;

    /**企业内人员清单数
     * @param pd
     * @throws Exception
     */
    List<PageData> countListByUser(PageData pd)throws Exception;

    /**企业内人员负责清单数
     * @param pd
     * @throws Exception
     */
    List<PageData> countStaByUser(PageData pd)throws Exception;

    /**企业内人员检查清单数
     * @param pd
     * @throws Exception
     */
    List<PageData> countCheByUser(PageData pd)throws Exception;

    /**隐患半年统计
     * @param pd
     * @throws Exception
     */
    List<PageData> getHiddenNum(PageData pd)throws Exception;

    /**部门绩效考核
     * @param pd
     * @throws Exception
     */
    List<PageData> examineDeptList(PageData pd)throws Exception;

    /**用户绩效考核
     * @param pd
     * @throws Exception
     */
    List<PageData> examineUserList(PageData pd)throws Exception;

    /**企业基本信息
     * @param pd
     * @throws Exception
     */
    PageData goCorpInfoBasicInfo(PageData pd)throws Exception;

     /**企业四色图
     * @param pd
     * @throws Exception
     */
    List<PageData> listAllRiskImg(PageData pd)throws Exception;

    /**企业岗位数、建立风险岗位数
     * @param pd
     * @throws Exception
     */
    List<PageData> getDeptExamine(PageData pd)throws Exception;
}
